OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_Translator Class Reference

`#include <TNaming_Translator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_Translator ()
Standard_EXPORT void | Add (const TopoDS_Shape &aShape)
Standard_EXPORT void | Perform ()
Standard_EXPORT Standard_Boolean | IsDone () const
Standard_EXPORT const TopoDS_Shape | Copied (const TopoDS_Shape &aShape) const
| returns copied shape
Standard_EXPORT const TopTools_DataMapOfShapeShape & | Copied () const
| returns DataMap of results; (shape <-> copied shape)
Standard_EXPORT void | DumpMap (const Standard_Boolean isWrite=Standard_False) const
## Private Attributes
Standard_Boolean | myIsDone
TColStd_IndexedDataMapOfTransientTransient | myMap
TopTools_DataMapOfShapeShape | myDataMapOfResults

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_Translator::TNaming_Translator | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_Translator::Add | ( | const TopoDS_Shape & | aShape | ) |

Standard_EXPORT const TopTools_DataMapOfShapeShape& TNaming_Translator::Copied | ( |  | ) | const

Standard_EXPORT const TopoDS_Shape TNaming_Translator::Copied | ( | const TopoDS_Shape & | aShape | ) | const

Standard_EXPORT void TNaming_Translator::DumpMap | ( | const Standard_Boolean | isWrite = `Standard_False` | ) | const

Standard_EXPORT Standard_Boolean TNaming_Translator::IsDone | ( |  | ) | const

void TNaming_Translator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_Translator::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_Translator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TNaming_Translator::Perform | ( |  | ) |

## Field Documentation

TopTools_DataMapOfShapeShape TNaming_Translator::myDataMapOfResults`[private]`

Standard_Boolean TNaming_Translator::myIsDone`[private]`

TColStd_IndexedDataMapOfTransientTransient TNaming_Translator::myMap`[private]`

The documentation for this class was generated from the following file:

- TNaming_Translator.hxx